Cannot get P25Reflector installed


Skyler Fennell
 

I am attempting to get P25Reflector working on my Debian Linux VPS Machine. I have the DVSwitch repository installed on the box.

When I try to install the reflector through apt-get, I cannot run the file and I get a libsdc dependency error
 /usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `GLIBCXX_3.4.21' not found (required by ./P25Gateway)
I have tried to fix the GLIBCXX error by upgrading all packages but I cannot get it to work and it shows the latest version as 3.4.20.

When I try to install the reflector from the source code, it will not even start up and claims it cannot open the log file. The directory does exist.
root@stn3764:/opt/P25Clients/P25Reflector# P25Gateway: unable to open the log file


I am running Debian on Kernel 3.16.0-4-amd64 and cannot update the Kernel, which seems to be a recommendation to fix the GLIBXX error. Lat time I updated the kernel, I broke asterisk, which I am also running on the server. 

Let me know what the next is step I can to try to get P25Reflector working on my machine.

Thank You,

Skyler

Join main@DVSwitch.groups.io to automatically receive all group messages.